import commonjs from '@rollup/plugin-commonjs';
import resolve from '@rollup/plugin-node-resolve';

export default [
  {
    input: 'src/ntc.js',
    output: {
      file: 'dist/ntc.cjs.js',
      format: 'cjs',
      name: 'ntc'
    },
    plugins: [resolve(), commonjs()]
  },
  {
    input: 'src/ntc.js',
    output: {
      file: 'dist/ntc.esm.js',
      format: 'esm',
      name: 'ntc'
    },
    plugins: [resolve(), commonjs()]
  },
  {
    input: 'src/ntc.js',
    output: {
      file: 'dist/ntc.umd.js',
      format: 'umd',
      name: 'ntc'
    },
    plugins: [resolve(), commonjs()]
  }
];

