declare module 'ntc-bundle' {
    interface NtcMatch {
        0: string; // RGB value of the closest matching color
        1: string; // Name of the match
        2: boolean; // True if exact color match, False if close-match
    }

    interface Ntc {
        name(color: string): NtcMatch;
    }

    const ntc: Ntc;
    export default ntc;
}
